Bug 62577 - Add Checkbox/Radiobutton Click Area
Summary: Add Checkbox/Radiobutton Click Area
Status: RESOLVED WORKSFORME
Alias: None
Product: kdelibs
Classification: Unclassified
Component: kstyle (show other bugs)
Version: 3.1.3
Platform: openSUSE RPMs Linux
: NOR wishlist with 86 votes (vote)
Target Milestone: ---
Assignee: Karol Szwed
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-08-13 03:14 UTC by Alex Radu
Modified: 2009-08-27 14:12 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
illustration of example (29.04 KB, image/png)
2003-08-13 04:07 UTC, Alex Radu
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Alex Radu 2003-08-13 03:14:09 UTC
Version:           3.1.3 (using KDE KDE 3.1.3)
Installed from:    SuSE RPMs
OS:          Linux

There are a few things in the GNOME UI that I would love to see in KDE. Here I will focus only on one of the features I lvoe about the GNOME Ui which i can not find in KDE.

Checkboxes and radiobuddons are easier and faster to use in GNOME.I don't always have to click on the checkbox or radiobutton to activate or deactivate it, I can click on any part of a small rectangular area (which changes colors when my mouse hovers over it) encompassing the checkbox or radio button and its text.

Please examine the screenshot or check out gnome to udnerstand this great ui feature.
Comment 1 Alex Radu 2003-08-13 04:07:32 UTC
Created attachment 2225 [details]
illustration of example

When my mouse hovers over the rectangualar area near the checkbox that area
becomes highlighted and clicking on it will activate or deactivate the
radiobutton or checkbox.

Sure beats trying to click on a tiny checkbox or radiobutton. THis si really
necessary in KDE because there are so many options and so thsi comes in very
handy =) You can even configure KDE while drunk!
Comment 2 Alex Radu 2003-08-13 19:59:52 UTC
BTW: I know KDE already supports this feature, but it only supports it partially. I don't 
have to click exactly on the checkbox or radiobutton and I can click near it in the 
rectangular area to activate and deactivate it, but it doesen't highlight the area I can click 
on to do this. Therefore, a user would not know where he can click other than exactly on 
the radiobutton or checkbox, some might not even be aware of this feature at all. This also 
makes KDE seem more responsive, better looking and friendly.  In GNOME it highlights 
this area on hover to make it more apparent and doing this in KDE would help someone 
accomodate better forma  GNOME application to a KDE application or vice versa. 
 
Weird thing is that not all programs in KDE hav the rectangular click area, for example 
Konqueror (Browser) doe snot have the click area while browsing websites. It would be 
great if all KDE  applications were consistent in this behaviour. 
 
 
Comment 3 Aaron J. Seigo 2003-08-18 08:43:06 UTC
konqueror doesn't have the clickable box area when browsing the web due to a 
limitation inherent to web interfaces: there's no way to reliably know what text applies 
to the checkbox. 
 
personally, i find the extended highlight-on-mouse-over behind checkbox widget text to 
be tacky. a simple mouse-over highlight effect on the checkbox/radio button itself 
would be enough (i believe liquid does this, in fact...) 
Comment 4 Maksim Orlovich 2003-08-18 15:44:33 UTC
> personally, i find the extended highlight-on-mouse-over behind checkbox widget text to 
> be tacky. a simple mouse-over highlight effect on the checkbox/radio button itself 
> would be enough (i believe liquid does this, in fact...) 

Not doable cleanly. The way Liquid does it is a pretty nasty hack. (which involves
overriding QCheckBox's painting code entirely) [according to Mosfet's explanation,
anyway]




 
  


 
Comment 5 Christoffer Sawicki 2004-11-19 14:24:02 UTC
> konqueror doesn't have the clickable box area
> when browsing the web due to a limitation inherent
> to web interfaces: there's no way to reliably know
> what text applies to the checkbox.

Really? :) This HTML enables this:

<fieldset>
<legend>Test</legend>
<input name="test1" type="checkbox" id="test1"><label for="test1">Test1</label><br />
<input name="test2" type="checkbox" id="test2"><label for="test2">Test2</label>
</fieldset>
Comment 6 FiNeX 2009-02-15 23:38:01 UTC
On KDE 4 default style (oxygen) when the mouse is over the label of a checkbox/radiobutton, the widget is highlighted. Should it be considered as a good fix to this issue? I think it could be enough.
Comment 7 Christoph Feck 2009-03-22 18:00:31 UTC
I also consider this fixed.

* check box label highlighting is up to the style, e.g. Qt's cleanlooks does it

* the HTML test case from comment #5 works on both 3.5.10 and current trunk

* KStyle has code to add the check box buddy to the clickable area, in case the label isn't part of the check box widget, e.g. for check boxes that have their label left of the check box
Comment 8 FiNeX 2009-08-27 14:12:39 UTC
I agree. This works for kstyle and khtml too :-)

Tested in current KDE 4 trunk.